LambertConformalLoader (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.proj
Class LambertConformalLoader

    java.lang.Object
      com.bbn.openmap.MapHandlerChild
          com.bbn.openmap.OMComponent
              com.bbn.openmap.proj.BasicProjectionLoader
                  com.bbn.openmap.proj.LambertConformalLoader

All Implemented Interfaces:
  LightMapHandlerChild, ProjectionLoader, PropertyConsumer, java.beans.beancontext.BeanContextChild, java.beans.beancontext.BeanContextMembershipListener, java.util.EventListener

    public class LambertConformalLoader

extends BasicProjectionLoader
implements ProjectionLoader

ProjectionLoader to add the LambertConformal projection to an OpenMap application.

See Also:
  `BasicProjectionLoader`

Field Summary
`protected double` | `centralMeridian`
`static java.lang.String` | `CentralMeridianProperty`
`protected double` | `falseEasting`
`static java.lang.String` | `FalseEastingProperty`
`protected double` | `falseNorthing`
`static java.lang.String` | `FalseNorthingProperty`
`protected double` | `referenceLatitude`
`static java.lang.String` | `ReferenceLatitudeProperty`
`protected double` | `standardParallel1`
`protected double` | `standardParallel2`
`static java.lang.String` | `StandardParallelOneProperty`
`static java.lang.String` | `StandardParallelTwoProperty`

Fields inherited from class com.bbn.openmap.proj.BasicProjectionLoader
`description, DescriptionProperty, prettyName, PrettyNameProperty, projClass`

Fields inherited from class com.bbn.openmap.OMComponent
`i18n, propertyPrefix`

Fields inherited from class com.bbn.openmap.MapHandlerChild
`beanContextChildSupport, isolated`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Constructor Summary
`LambertConformalLoader()`

Method Summary
`Projection` | `create(java.util.Properties props)` Create the projection with the given parameters.
`java.util.Properties` | `getProperties(java.util.Properties props)` PropertyConsumer method, to fill in a Properties object, reflecting the current values of the OMComponent.
`java.util.Properties` | `getPropertyInfo(java.util.Properties props)` Method to fill in a Properties object with values reflecting the properties able to be set on this PropertyConsumer.
`void` | `setProperties(java.lang.String prefix, java.util.Properties props)` Sets the properties for the OMComponent.

Methods inherited from class com.bbn.openmap.proj.BasicProjectionLoader
`convertToLLP, getDescription, getPrettyName, getProjectionClass, setDescription, setPrettyName`

Methods inherited from class com.bbn.openmap.OMComponent
`getPropertyPrefix, setProperties, setPropertyPrefix`

Methods inherited from class com.bbn.openmap.MapHandlerChild
`addPropertyChangeListener, addVetoableChangeListener, childrenAdded, childrenRemoved, findAndInit, findAndInit, findAndUndo, firePropertyChange, fireVetoableChange, getBeanContext, isIsolated, removePropertyChangeListener, removeVetoableChangeListener, setBeanContext, setIsolated`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.proj.ProjectionLoader
`getDescription, getPrettyName, getProjectionClass`

Field Detail

### CentralMeridianProperty

    public static final java.lang.String CentralMeridianProperty

See Also:
  Constant Field Values

### StandardParallelOneProperty

    public static final java.lang.String StandardParallelOneProperty

See Also:
  Constant Field Values

### StandardParallelTwoProperty

    public static final java.lang.String StandardParallelTwoProperty

See Also:
  Constant Field Values

### ReferenceLatitudeProperty

    public static final java.lang.String ReferenceLatitudeProperty

See Also:
  Constant Field Values

### FalseEastingProperty

    public static final java.lang.String FalseEastingProperty

See Also:
  Constant Field Values

### FalseNorthingProperty

    public static final java.lang.String FalseNorthingProperty

See Also:
  Constant Field Values

### centralMeridian

    protected double centralMeridian

### standardParallel1

    protected double standardParallel1

### standardParallel2

    protected double standardParallel2

### referenceLatitude

    protected double referenceLatitude

### falseEasting

    protected double falseEasting

### falseNorthing

    protected double falseNorthing

Constructor Detail

### LambertConformalLoader

    public LambertConformalLoader()

Method Detail

### create

    public Projection create(java.util.Properties props)
                      throws ProjectionException

  Create the projection with the given parameters.

  Specified by:
    `create` in interface `ProjectionLoader`
  Specified by:
    `create` in class `BasicProjectionLoader`
  Throws:
    `ProjectionException` - if a parameter is missing or invalid

### setProperties

    public void setProperties(java.lang.String prefix,
                              java.util.Properties props)

  Description copied from class: `OMComponent`
  Sets the properties for the OMComponent.

  Specified by:
    `setProperties` in interface `PropertyConsumer`
  Overrides:
    `setProperties` in class `BasicProjectionLoader`
  Parameters:
    `prefix` - the token to prefix the property names
    `props` - the `Properties` object

### getProperties

    public java.util.Properties getProperties(java.util.Properties props)

  Description copied from class: `OMComponent`
  PropertyConsumer method, to fill in a Properties object, reflecting the current values of the OMComponent. If the component has a propertyPrefix set, the property keys should have that prefix plus a separating '.' prepended to each property key it uses for configuration.

  Specified by:
    `getProperties` in interface `PropertyConsumer`
  Overrides:
    `getProperties` in class `BasicProjectionLoader`
  Parameters:
    `props` - a Properties object to load the PropertyConsumer properties into. If props equals null, then a new Properties object should be created.
  Returns:
    Properties object containing PropertyConsumer property values. If getList was not null, this should equal getList. Otherwise, it should be the Properties object created by the PropertyConsumer.

### getPropertyInfo

    public java.util.Properties getPropertyInfo(java.util.Properties props)

  Description copied from class: `OMComponent`
  Method to fill in a Properties object with values reflecting the properties able to be set on this PropertyConsumer. The key for each property should be the raw property name (without a prefix) with a value that is a String that describes what the property key represents, along with any other information about the property that would be helpful (range, default value, etc.). For Layer, this method should at least return the 'prettyName' property.

  Specified by:
    `getPropertyInfo` in interface `PropertyConsumer`
  Overrides:
    `getPropertyInfo` in class `BasicProjectionLoader`
  Parameters:
    `props` - a Properties object to load the PropertyConsumer properties into. If getList equals null, then a new Properties object should be created.
  Returns:
    Properties object containing PropertyConsumer property values. If getList was not null, this should equal getList. Otherwise, it should be the Properties object created by the PropertyConsumer.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details